<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Concepto Por Cuenta de Terceros 
	:: By Daniel Herrera Tello :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:terceros="http://www.sat.gob.mx/terceros">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="terceros:ComplementoConcepto">
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:for-each select="Terceros/Tercero">
					<xsl:element name="terceros:PorCuentadeTerceros">
						<xsl:attribute name="version">1.0</xsl:attribute>
						<xsl:attribute name="rfc"><xsl:value-of select="@RFC"/></xsl:attribute>
						<xsl:attribute name="nombre"><xsl:value-of select="@Nombre"/></xsl:attribute>
						<xsl:element name="terceros:InformacionFiscalTercero">
							<xsl:attribute name="calle"><xsl:value-of select="Domicilio/@Calle"/></xsl:attribute>
							<xsl:if test="Domicilio/@noExterior !=''">
								<xsl:attribute name="noExterior"><xsl:value-of select="Domicilio/@noExterior"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@noInterior !=''">
								<xsl:attribute name="noInterior"><xsl:value-of select="Domicilio/@noInterior"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Colonia !=''">
								<xsl:attribute name="colonia"><xsl:value-of select="Domicilio/@Colonia"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Localidad !=''">
								<xsl:attribute name="localidad"><xsl:value-of select="Domicilio/@Localidad"/></xsl:attribute>
							</xsl:if>
							<xsl:if test="Domicilio/@Referencia !=''">
								<xsl:attribute name="referencia"><xsl:value-of select="Domicilio/@Referencia"/></xsl:attribute>
							</xsl:if>
							<xsl:attribute name="municipio"><xsl:value-of select="Domicilio/@Municipio"/></xsl:attribute>
							<xsl:attribute name="estado"><xsl:value-of select="Domicilio/@Estado"/></xsl:attribute>
							<xsl:attribute name="pais"><xsl:value-of select="Domicilio/@Pais"/></xsl:attribute>
							<xsl:attribute name="codigoPostal"><xsl:value-of select="Domicilio/@CodigoPostal"/></xsl:attribute>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
