<?xml version="1.0" encoding="UTF-8"?>
<!-- Plantilla Presentacion CFD Complemento Concepto Por Cuenta de Terceros :: v 1.1 : del AdminCFDI ::
  :: By Daniel Herrera Tello 
  :: Version 1.0   :: Last Update: 16/Oct/2012
 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/2" xmlns:terceros="http://www.sat.gob.mx/terceros">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="Comprobante:Concepto/Comprobante:ComplementoConcepto">
	<script language="javascript">
		  function EspaciosEnBlanco(iLongitud)
		  {
	        var sEspacio = "&#160;" + "&#160;";
	        var sCadena = sEspacio;
	        for(i=1; i &lt; iLongitud; i++)
	        {
  	          sCadena = sCadena + sEspacio;
	        }
		    document.write(sCadena)
		  }
	</script>
	<xsl:for-each select="./terceros:PorCuentadeTerceros">
		COMPLEMENTO CONCEPTO POR CUENTA DE TERCEROS<br/>
		Versión: <xsl:value-of select="@version"/><br/>
		R.F.C. del Emisor del Comprobante: <xsl:value-of select="@rfc"/><br/>
		Nombre del Emisor del Comprobante: <xsl:value-of select="@nombre"/><br/>
		<xsl:if test="terceros:InformacionFiscalTercero/@calle != ''">
			Información Fiscal del Tercero:<br/>
			<script>EspaciosEnBlanco(1)</script>Calle: <xsl:value-of select="terceros:InformacionFiscalTercero/@calle"/><br/>
			<xsl:if test="terceros:InformacionFiscalTercero/@noExterior != ''">
				<script>EspaciosEnBlanco(1)</script>No. Exterior: <xsl:value-of select="terceros:InformacionFiscalTercero/@noExterior"/><br/>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@noInterior != ''">
				<script>EspaciosEnBlanco(1)</script>No. Interior: <xsl:value-of select="terceros:InformacionFiscalTercero/@noInterior"/><br/>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@colonia != ''">
				<script>EspaciosEnBlanco(1)</script>Colonia: <xsl:value-of select="terceros:InformacionFiscalTercero/@colonia"/><br/>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@localidad != ''">
				<script>EspaciosEnBlanco(1)</script>Ciudad: <xsl:value-of select="terceros:InformacionFiscalTercero/@localidad"/><br/>
			</xsl:if>
			<xsl:if test="terceros:InformacionFiscalTercero/@referencia != ''">
				<script>EspaciosEnBlanco(1)</script>Referencia: <xsl:value-of select="terceros:InformacionFiscalTercero/@referencia"/><br/>
			</xsl:if>
			<script>EspaciosEnBlanco(1)</script>Municipio: <xsl:value-of select="terceros:InformacionFiscalTercero/@municipio"/><br/>
			<script>EspaciosEnBlanco(1)</script>Estado: <xsl:value-of select="terceros:InformacionFiscalTercero/@estado"/><br/>
			<script>EspaciosEnBlanco(1)</script>País: <xsl:value-of select="terceros:InformacionFiscalTercero/@pais"/><br/>
			<script>EspaciosEnBlanco(1)</script>C.P.: <xsl:value-of select="terceros:InformacionFiscalTercero/@codigoPostal"/><br/>
		</xsl:if>
		<xsl:if test="terceros:InformacionAduanera/@numero != ''">
			Información Aduanera Ventas Primera Mano de Mercancia Importada:<br/>
			<script>EspaciosEnBlanco(1)</script>No. Documento Aduanero: <xsl:value-of select="terceros:InformacionAduanera/@numero"/><br/>
			<script>EspaciosEnBlanco(1)</script>Fecha Expedición Documento Aduanero: <xsl:value-of select="terceros:InformacionAduanera/@fecha"/><br/>
			<xsl:if test="terceros:InformacionAduanera/@aduana != ''">
				<script>EspaciosEnBlanco(1)</script>Aduana: <xsl:value-of select="terceros:InformacionAduanera/@aduana"/><br/>
			</xsl:if>
		</xsl:if>
		<xsl:for-each select="terceros:Parte">
			Componente (Parte <xsl:number/>) que integra la totalidad del concepto:<br/>
			<script>EspaciosEnBlanco(1)</script>Cantidad: <xsl:value-of select="@cantidad"/><br/>
			<xsl:if test="@unidad != ''">
				<script>EspaciosEnBlanco(1)</script>Unidad: <xsl:value-of select="@unidad"/><br/>
			</xsl:if>
			<xsl:if test="@noIdentificacion != ''">
				<script>EspaciosEnBlanco(1)</script>No. Identificación: <xsl:value-of select="@noIdentificacion"/><br/>
			</xsl:if>
			<script>EspaciosEnBlanco(1)</script>Descripción: <xsl:value-of select="@descripcion"/><br/>
			<xsl:if test="@valorUnitario &gt; 0">
				<script>EspaciosEnBlanco(1)</script>Valor Unitario: <xsl:value-of select="format-number(@valorUnitario,'0.00')"/><br/>
			</xsl:if>
			<xsl:if test="@importe &gt; 0">
				<script>EspaciosEnBlanco(1)</script>Importe: <xsl:value-of select="format-number(@importe,'0.00')"/><br/>
			</xsl:if>
			<xsl:for-each select="terceros:InformacionAduanera">
				<script>EspaciosEnBlanco(1)</script>Información Aduanera de la Parte:<br/>
				<script>EspaciosEnBlanco(2)</script>No. Documento Aduanero: <xsl:value-of select="@numero"/><br/>
				<script>EspaciosEnBlanco(2)</script>Fecha Expedición Documento Aduanero: <xsl:value-of select="@fecha"/><br/>
				<xsl:if test="@aduana != ''">
					<script>EspaciosEnBlanco(2)</script>Aduana: <xsl:value-of select="@aduana"/><br/>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:if test="terceros:CuentaPredial/@numero != ''">
			Cuenta Predial No. <xsl:value-of select="terceros:CuentaPredial/@numero"/><br/>
		</xsl:if>
		<xsl:variable name="totret" select="sum(terceros:Impuestos/terceros:Retenciones/terceros:Retencion/@importe)"/>
		<xsl:if test="$totret &gt; 0">
			<xsl:value-of select="concat('Total Impuestos Retenidos    $ ',format-number($totret,'0.00'))"/><br/>
			<xsl:for-each select="terceros:Impuestos/terceros:Retenciones/terceros:Retencion">
				<script>EspaciosEnBlanco(1)</script><xsl:value-of select="concat('Retención  ',@impuesto,'  $ ',format-number(@importe,'0.00'))"/><br/>
			</xsl:for-each>
		</xsl:if>
		<xsl:variable name="tottras" select="sum(terceros:Impuestos/terceros:Traslados/terceros:Traslado/@importe)"/>
		<xsl:if test="$tottras &gt; 0">
			<xsl:value-of select="concat('Total Impuestos Trasladados    $ ',format-number($tottras,'0.00'))"/><br/>
			<xsl:for-each select="terceros:Impuestos/terceros:Traslados/terceros:Traslado">
				<script>EspaciosEnBlanco(1)</script><xsl:value-of select="concat('Traslado  ',@impuesto,'  Tasa ',format-number(@tasa,'0.00'),'%    $ ',format-number(@importe,'0.00'))"/><br/>
			</xsl:for-each>
		</xsl:if>
	</xsl:for-each>
	<br/>	
	</xsl:template>
</xsl:stylesheet>
