<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Concepto de Instituciones Educativas Privadas 
	:: By Daniel Herrera Tello :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:iedu="http://www.sat.gob.mx/iedu">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:variable name="numcomp" select="count(Datos/Documento/Partidas/Partida/Alumnos/Alumno)"/>
		<xsl:if test="$numcomp &gt; 0">
			<xsl:element name="iedu:ComplementoConcepto">
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:for-each select="Alumnos/Alumno">
						<xsl:element name="iedu:instEducativas">
							<xsl:attribute name="version">1.0</xsl:attribute>
							<xsl:attribute name="nombreAlumno"><xsl:value-of select="@Nombre"/></xsl:attribute>
							<xsl:attribute name="CURP"><xsl:value-of select="@CURP"/></xsl:attribute>
							<xsl:attribute name="nivelEducativo"><xsl:value-of select="@NivelEducativo"/></xsl:attribute>
							<xsl:attribute name="autRVOE"><xsl:value-of select="@autRVOE"/></xsl:attribute>
							<xsl:if test="@RFCPago !=''">
								<xsl:attribute name="rfcPago"><xsl:value-of select="@RFCPago"/></xsl:attribute>
							</xsl:if>
						</xsl:element>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
